.popup {
  @include position(fixed, $c: (top: 0, left: 0));
  @include flex(flex, row, wrap);
  align-items: center;
  justify-content: center;
  @include size(100%, 100vh);
  z-index: 1000;
  background-color: rgba(0, 0, 0, .5);
  overflow: auto;

  &__wrapper {
    @include size(100%);
    max-width: 600px;
    border-radius: 5px;
    background-color: $white;
    margin: 0 auto;
    box-shadow: 0 0 8px 4px rgba(0, 0, 0, 0.1);
  }

  &__header {
    @include position(relative);
    @include size(100%);
    padding: 30px 40px;
    border-bottom: 1px solid $border;
  }

  &__header-title {
    margin: 0 !important;
    @include font(14px, 500, 1.43, .5px);
    color: #323c47;
    text-align: center;
    text-transform: uppercase;
  }

  &__header-with-back {
    padding: 30px 60px;
  }

  &__back {
    @include position(absolute, $c: (top: 30px, left: 40px));
    @include size(20px, 20px);
    cursor: pointer;
  }

  &__close {
    @include position(absolute, $c: (top: 20px, right: 20px));
    @include size(20px, 20px);
    background-image: url(/lk/static/img/icons/close-big.png);
    background-repeat: no-repeat;
    background-position: 3px 3px;
    cursor: pointer;

    &:hover {
      background-position: 3px -83px;
    }
  }

  &__divider {
    @include size(100%);
    margin: 0;
  }

  &__content {
    @include size(100%);
    padding: 30px 40px;
  }

  &__content-header {

  }

  &__warning-mail-not-confirm {
    margin: 0 0 20px;

    .warning__title {
      @include font(14px, 500);
      color: #323c47;
      text-transform: uppercase;
    }
  }
}

@media #{$mobile} {
  .popup {
    align-items: flex-start;
    justify-content: flex-start;

    &__wrapper {
      border-radius: 0;
      min-height: 100vh;
    }

    &__header {
      padding: 20px;
      border-bottom: 1px solid $border;
    }

    &__back {
      @include position(absolute, $c: (top: 20px, left: 20px));
      &:after {
        content: '';
        display: block;
        @include size(1px, 20px);
        @include position(absolute, $c: (top: 0, left: 25px));
        background-color: $border;
      }
    }

    &__header-with-back {
      padding: 20px 20px 20px 60px;
    }

    &__header-title {
      margin: 0 !important;
    }

    &__content {
      min-height: calc(100vh - 61px);
      padding: 20px;
    }
  }
}
